[gnome-commander] Initiate exit_code variable with 0, add if condition



commit 33e7be330931afc1ffa18f638f0547f31b2626e8
Author: Uwe Scholz <u scholz83 gmx de>
Date:   Sun Jan 30 19:59:56 2022 +0100

    Initiate exit_code variable with 0, add if condition

 .gitlab-ci.yml | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index ed51dc89..88aa2c64 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -20,5 +20,6 @@ build-job:       # This job runs in the build stage, which runs first.
     - ./autogen.sh
     - make
     - echo "Compile complete. Starting Unit test phase..."
-    - make check || echo "Unit tests fail" && cat tests/test-suite.log && exit 1
-    - echo "Unit tests finished."
+    - exit_code=0
+    - make check || exit_code=$?; if [ "$exit_code" != "0" ]; then echo "Unit tests failed."; cat 
tests/test-suite.log; exit 1; fi;
+    - echo "Unit tests passed."


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]